@media screen and (max-width: 1800px) {
  .offer,
.services,
.info,
.steps {
    width: 100%;
    border-radius: 0px;
    margin-bottom: 0;
  }
}
@media screen and (max-width: 1435px) {
  .container.container--1405 {
    width: 1140px;
  }

  .header__nav ul {
    gap: 40px;
  }

  .offer__title {
    font-size: 60px;
  }

  .offer__info {
    width: 580px;
  }

  .offer__images {
    width: 740px;
  }

  .offer__box_back {
    bottom: 119px;
  }

  .offer__products {
    -webkit-transform: scale(0.8);
    -ms-transform: scale(0.8);
    transform: scale(0.8);
  }

  .section__title {
    font-size: 54px;
  }

  .service {
    padding: 24px;
  }

  .service_1 {
    padding-right: 55px;
  }

  .service_2 {
    padding-right: 210px;
  }
  .service_2 .service__img {
    width: 440px;
  }

  .service_4 {
    padding-right: 150px;
  }

  .service__icon {
    margin-bottom: 24px;
  }

  .service__title {
    margin-bottom: 50px;
  }

  .advantage__title {
    font-size: 22px;
  }
}
@media screen and (max-width: 1200px) {
  .container.container--1405 {
    width: 970px;
  }

  .header__nav ul {
    gap: 24px;
  }

  .offer__images {
    right: -145px;
  }

  .services {
    padding-top: 100px;
    padding-bottom: 140px;
  }

  .service_3,
.service_4,
.service_5 {
    grid-column: span 4;
  }

  .service_4 {
    padding-right: 24px;
  }
  .service_4 .service__img {
    width: 270px;
  }

  .info {
    padding-top: 120px;
    padding-bottom: 190px;
  }
  .info .section__title {
    margin-bottom: 170px;
  }

  .info__img {
    width: 230px;
  }

  .info__item_2 {
    top: 50px;
  }

  .section__title {
    font-size: 50px;
  }

  .steps .section__title {
    margin-bottom: 50px;
  }

  .steps {
    padding-top: 100px;
    padding-bottom: 120px;
  }
}
@media screen and (max-width: 992px) {
  .container.container--1405 {
    width: 750px;
  }

  .offer__info {
    width: 100%;
    padding-bottom: 80px;
  }

  .offer__images {
    position: relative;
    width: 100%;
    right: 0;
    height: 470px;
  }

  .offer__content {
    padding-top: 100px;
  }

  .offer__products {
    -webkit-transform: scale(0.7);
    -ms-transform: scale(0.7);
    transform: scale(0.7);
  }

  @-webkit-keyframes floatSequence {
    /* Скрыт */
    0% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
    /* Всплывает */
    10% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    /* Стоит */
    16% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    20% {
      -webkit-transform: translateY(-120%) scale(0.95);
      transform: translateY(-120%) scale(0.95);
    }
    /* Пульс */
    24% {
      -webkit-transform: translateY(-120%) scale(1.1);
      transform: translateY(-120%) scale(1.1);
    }
    28% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    35% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    /* Уходит */
    45% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
    /* Дальше скрыт до конца цикла */
    100% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
  }

  @keyframes floatSequence {
    /* Скрыт */
    0% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
    /* Всплывает */
    10% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    /* Стоит */
    16% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    20% {
      -webkit-transform: translateY(-120%) scale(0.95);
      transform: translateY(-120%) scale(0.95);
    }
    /* Пульс */
    24% {
      -webkit-transform: translateY(-120%) scale(1.1);
      transform: translateY(-120%) scale(1.1);
    }
    28% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    35% {
      -webkit-transform: translateY(-120%) scale(1);
      transform: translateY(-120%) scale(1);
    }
    /* Уходит */
    45% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
    /* Дальше скрыт до конца цикла */
    100% {
      -webkit-transform: translateY(80%) scale(1);
      transform: translateY(80%) scale(1);
    }
  }
  .offer__code {
    right: 20px;
    top: 10%;
  }

  .services__title {
    display: none;
  }

  .services__info {
    width: 100%;
  }

  .services {
    padding-top: 80px;
    padding-bottom: 80px;
  }

  .services__top {
    margin-bottom: 40px;
  }

  .service {
    padding: 24px;
  }

  .service__img {
    display: none;
  }

  .service__title {
    margin-bottom: 30px;
  }

  .info {
    padding-top: 80px;
    padding-bottom: 80px;
  }
  .info .section__title {
    margin-bottom: 50px;
  }

  .section__title {
    font-size: 40px;
  }

  .info__img {
    display: none;
  }

  .info__item_2 {
    top: 0;
  }

  .info__items {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .info__item {
    -webkit-box-flex: 0;
    -ms-flex: none;
    flex: none;
    width: 100%;
    padding: 32px;
  }

  .info__icon {
    margin-bottom: 32px;
  }

  .info__title {
    margin-bottom: 32px;
  }

  .steps {
    padding-top: 80px;
    padding-bottom: 80px;
  }

  .support {
    padding-right: 400px;
  }

  .header__nav {
    display: none;
  }

  .header__login-btn {
    display: none;
  }

  .burger {
    display: block;
    width: 38px;
  }
  .burger img {
    width: 100%;
  }

  .header__socials {
    gap: 5px;
  }
  .header__socials a {
    width: 38px;
  }

  .header__actions {
    gap: 5px;
  }

  .blackout {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.62);
    z-index: 50;
  }

  .menu {
    display: block;
    position: fixed;
    top: 0;
    left: -272px;
    -webkit-transition: all ease 0.3s;
    -o-transition: all ease 0.3s;
    transition: all ease 0.3s;
    height: 100vh;
    overflow-y: auto;
    z-index: 100;
    background: #fff;
    width: 272px;
    padding: 12px 4px;
  }
  .menu.active {
    left: 0;
    -webkit-box-shadow: 0 22px 49px 0 rgba(0, 0, 0, 0.04), 0 89px 89px 0 rgba(0, 0, 0, 0.01), 0 200px 120px 0 rgba(0, 0, 0, 0.01), 0 355px 142px 0 rgba(0, 0, 0, 0.01), 0 555px 155px 0 rgba(0, 0, 0, 0);
    box-shadow: 0 22px 49px 0 rgba(0, 0, 0, 0.04), 0 89px 89px 0 rgba(0, 0, 0, 0.01), 0 200px 120px 0 rgba(0, 0, 0, 0.01), 0 355px 142px 0 rgba(0, 0, 0, 0.01), 0 555px 155px 0 rgba(0, 0, 0, 0);
  }

  .menu__top {
    padding-left: 14px;
    padding-right: 8px;
    margin-bottom: 24px;
  }

  .menu__logo {
    width: 27px;
  }

  .menu__close {
    width: 24px;
    cursor: pointer;
  }

  .menu__item {
    padding: 12px 14px;
  }
  .menu__item:last-child {
    margin-bottom: 0;
  }
  .menu__item.menu__item_grey {
    background: #f5f5f5;
    border-radius: 18px;
  }

  .menu__title {
    font-weight: 500;
    font-size: 12px;
    text-transform: uppercase;
    color: rgba(0, 0, 0, 0.28);
    margin-bottom: 8px;
  }

  .menu__link {
    border: 1px solid #dedede;
    border-radius: 10px;
    padding: 8px 12px;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    font-size: 15px;
    color: #2a2a2a;
    margin-bottom: 8px;
  }
  .menu__link:last-child {
    margin-bottom: 0;
  }
  .menu__link.menu__link_text-center {
    text-align: center;
  }
  .menu__link img {
    width: 12px;
  }
  .menu__link span {
    display: block;
    padding-left: 6px;
    width: calc(100% - 12px);
    font-weight: 400;
  }
  .menu__link span:first-child {
    width: 100%;
  }
  .menu__link.menu__link_dark {
    color: #fff;
    background: #12171D;
    background: -webkit-gradient(linear, left top, left bottom, from(#12171d), to(#474b4f));
    background: -o-linear-gradient(top, #12171d 0%, #474b4f 100%);
    background: linear-gradient(180deg, #12171d 0%, #474b4f 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#12171D", endColorstr="#474B4F", GradientType=0);
    border: none;
  }
  .menu__link.menu__link_dark span {
    font-weight: 500;
    position: relative;
    padding-right: 10px;
  }
  .menu__link.menu__link_dark span:after {
    position: absolute;
    display: block;
    content: "";
    width: 6px;
    height: 6px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-right: 1px solid #fff;
    border-bottom: 1px solid #fff;
    top: 50%;
    margin-top: -3px;
    right: 3px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    opacity: 0.7;
  }

  .menu__links li {
    margin-bottom: 12px;
  }
  .menu__links li:last-child {
    margin-bottom: 0;
  }
  .menu__links li a {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
  }
  .menu__links li a img {
    max-width: 15px;
    margin-left: auto;
    margin-right: auto;
  }
  .menu__links li a span {
    display: block;
    width: calc(100% - 15px);
    padding-left: 4px;
    position: relative;
    font-size: 15px;
    color: #2a2a2a;
    padding-right: 10px;
  }
  .menu__links li a span:after {
    position: absolute;
    display: block;
    content: "";
    width: 6px;
    height: 6px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-right: 1px solid #2a2a2a;
    border-top: 1px solid #2a2a2a;
    top: 50%;
    margin-top: -3px;
    right: 3px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    opacity: 0.7;
  }

  .advantages {
    margin-bottom: 0;
  }
}
@media screen and (max-width: 768px) {
  .container.container--1405 {
    width: 540px;
  }
	
	.single-services .offer__box_front {
    position: relative;
    max-width: 600px;
    width: 100%;
    bottom: 30px;
    right: 0;
    z-index: 9;
}

  .offer__content {
    padding-top: 80px;
  }

  .offer__title {
    font-size: 44px;
	line-height: 120%;  
  }

  .offer__box_back {
    bottom: 86px;
  }

  .offer__info {
    padding-bottom: 110px;
  }

  .services {
    padding-top: 70px;
    padding-bottom: 70px;
  }
  .services .section__title {
    margin-bottom: 20px;
  }

  .services__top {
    margin-bottom: 20px;
  }

  .service_1,
.service_2,
.service_3,
.service_4,
.service_5 {
    grid-column: span 12;
  }

  .service__title {
    min-height: 0px;
  }

  .info,
.steps {
    padding-top: 70px;
    padding-bottom: 70px;
  }
  .info .section__title,
.steps .section__title {
    margin-bottom: 40px;
  }

  .step__info {
    padding: 35px 40px 24px 50px;
  }

  .step__icon {
    left: 12px;
  }

  .support {
    padding-right: 200px;
  }

  .support__img {
    width: 200px;
    right: -40px;
    top: 30%;
  }
}
@media screen and (max-width: 576px) {
  .container.container--1405 {
    width: 100%;
    padding-left: 15px;
    padding-right: 15px;
  }

  .offer__product {
    width: 100%;
    left: 0;
    margin-left: 0;
  }

  .offer__content {
    padding-top: 55px;
  }

  .offer__title {
    font-size: 35px;
  }

  .offer__list {
    margin-bottom: 24px;
  }
  .offer__list li {
    font-size: 16px;
    margin-bottom: 8px;
  }

  .offer__btns {
    gap: 10px;
  }

  .offer__btn {
    width: 100%;
  }

  .offer__images {
    width: 290px;
    margin-left: auto;
    margin-right: auto;
    height: 210px;
  }

  .offer__box_back {
    bottom: 46px;
  }

  .offer__code {
    width: 90px;
    right: 0;
  }

  .offer__info {
    padding-bottom: 60px;
  }

  .offer__btn_white {
    background: rgba(255, 255, 255, 0.5);
  }

  .services {
    padding-top: 55px;
    padding-bottom: 55px;
  }

  .section__title {
    font-size: 35px;
  }

  .service__title {
    font-size: 20px;
    line-height: 24px;
  }

  .info,
.steps {
    padding-top: 55px;
    padding-bottom: 55px;
  }
  .info .section__title,
.steps .section__title {
    margin-bottom: 30px;
    text-align: left;
  }

  .info__item {
    padding: 24px;
	box-sizing: border-box; 
  }

  .step {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .step__img {
    width: 100%;
    min-height: 0px;
    height: calc(65vw - 30px);
  }

  .step__info {
    width: 100%;
    padding: 24px 24px 24px 50px;
  }

  .step__title {
    font-size: 20px;
    line-height: 24px;
    padding-top: 2px;
  }

  .step__icon {
    top: 24px;
  }

  .support__img {
    width: 180px;
    right: -90px;
    top: 40px;
  }

  .support {
    padding: 24px;
  }

  .support__description,
.support__title {
    padding-right: 70px;
  }

  .advantages {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .advantage {
    -webkit-box-flex: 0;
    -ms-flex: none;
    flex: none;
    width: 100%;
	 box-sizing: border-box; 
  }
}